| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Typedefs | Functions
data_tree.hpp File Reference
Private

two classes used to store tree information in dar_manager databases More...

`#include "../my_config.h"`
`#include <map>`
`#include <string>`
`#include <list>`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "user_interaction.hpp"`
`#include "path.hpp"`
`#include "on_pool.hpp"`
`#include "cat_directory.hpp"`
`#include "cat_inode.hpp"`
`#include "cat_detruit.hpp"`

Go to the source code of this file.

## Classes
class | libdar::data_tree
| the data_tree class stores presence of a given file in a set of archives More...
class | libdar::data_dir
| the data_dir class inherits from data_tree and holds the directory tree's parent relationship More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Macros
#define | ARCHIVE_NUM_MAX 65534

## Typedefs
typedef U_16 | libdar::archive_num

## Functions
data_dir * | libdar::data_tree_read (generic_file &f, unsigned char db_version, memory_pool *pool)
bool | libdar::data_tree_find (path chemin, const data_dir &racine, const data_tree *&ptr)
| lookup routine to find a pointer to the dat_dir object corresponding to the given path More...
void | libdar::data_tree_update_with (const cat_directory *dir, archive_num archive, data_dir *racine)
archive_num | libdar::data_tree_permutation (archive_num src, archive_num dst, archive_num x)

## Detailed Description

two classes used to store tree information in dar_manager databases

Definition in file data_tree.hpp.